View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000938aMuleFeature Requestpublic2006-07-27 17:412008-03-21 00:08
ReporterPolmac 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in VersionSVN 
Summary0000938: Names of files are not utf-8
DescriptionMy current distro (Ubuntu 6.06) uses utf-8 as it's default encoding system. It seems that the names of the files are received from windows users in iso format, and aMule creates the files using those names that are not utf-8 valid.

I don't know if it's ubuntu's or aMule's problem, but I reported it to ubuntu with no answer, so I try here...
TagsNo tags attached.
Fixed in Revision
Operating SystemUbuntu 6.06
Attached Files

- Relationships

-  Notes
(0002090)
pcmaster (reporter)
2006-08-19 19:40

Same issue using gentoo. When i try to download a file with has accented letters in the name, thesse letters are changed, for example, a lowercase accented i (í) is displayes as a uppercase A with diaeresis (Ä).
(0002091)
Kry (manager)
2006-08-20 12:56

I'll make an option to use local encoding isntead of fixed ISO8859-1 as it's now on ed2k.
(0002564)
usr (reporter)
2008-02-15 14:44

The same problem in Kubuntu 6.06, 6.10, 7.04 and 7.10.

Launchpad report: https://bugs.launchpad.net/bugs/40238 [^]
(0002566)
Xaignar (manager)
2008-02-17 01:43

Should be fixed in current SVN. Please test and report back. :)

- Issue History
Date Modified Username Field Change
2006-07-27 17:41 Polmac New Issue
2006-07-27 17:41 Polmac Operating System => Ubuntu 6.06
2006-08-19 19:40 pcmaster Note Added: 0002090
2006-08-20 12:56 Kry Note Added: 0002091
2008-02-15 14:44 usr Note Added: 0002564
2008-02-17 01:43 Xaignar Note Added: 0002566
2008-03-21 00:08 Xaignar Status new => resolved
2008-03-21 00:08 Xaignar Fixed in Version => SVN
2008-03-21 00:08 Xaignar Resolution open => fixed
2008-03-21 00:08 Xaignar Assigned To => Xaignar


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker